Bug 1037789 - Midori segfaults when using default search engine
Midori segfaults when using default search engine
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
20
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: ARMTracker F20FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-12-03 14:57 EST by Paul Whalen
Modified: 2015-06-29 20:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:45:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Midora Strace (1.05 MB, text/plain)
2013-12-03 14:57 EST, Paul Whalen
no flags Details
Midori gdb (2.51 KB, text/plain)
2013-12-03 14:58 EST, Paul Whalen
no flags Details
Midori gdb2 (2.11 KB, text/plain)
2013-12-03 15:35 EST, Paul Whalen
no flags Details
midori gdb 4 (3.24 KB, text/plain)
2013-12-05 11:20 EST, Paul Whalen
no flags Details

  None (edit)
Description Paul Whalen 2013-12-03 14:57:07 EST
Created attachment 832281 [details]
Midora Strace

Description of problem:
Attempting to use the default search engine 'Duck Duck Go' results in crash. 

Version-Release number of selected component (if applicable):
midori-0.5.5-2.fc20

How reproducible:
Everytime

Steps to Reproduce:
1. Launch Midori in F20-TC4 ARM XFCE image
2. Enter text in 'Duck Duck Go' search toolbar
 

Actual results:
Page attempts to load search results and quickly crashes.

Expected results:
Search results.

Additional info:
gdb,strace logs attached.
Comment 1 Paul Whalen 2013-12-03 14:58:27 EST
Created attachment 832282 [details]
Midori gdb
Comment 2 Kevin Fenzi 2013-12-03 15:12:08 EST
Can you get a 'where' in the gdb to see where it's actually crashing?

Also, can you try the midori update thats already in updates-testing? 

'yum --enablerepo=updates-testing update midori'
Comment 3 Paul Whalen 2013-12-03 15:35:20 EST
Created attachment 832285 [details]
Midori gdb2
Comment 4 Paul Whalen 2013-12-03 15:36:34 EST
Updated to midori-0.5.6-1.fc20, new log for gdb.
Comment 5 Kevin Fenzi 2013-12-03 16:30:58 EST
ok. 

Does: 

/usr/libexec/webkitgtk/GtkLauncher

behave the same way when going to duckduckgo?

Can you: 

debuginfo-install webkitgtk

and re-run the gdb?
Comment 6 Paul Whalen 2013-12-03 21:32:05 EST
(In reply to Kevin Fenzi from comment #5)
> ok. 
> 
> Does: 
> 
> /usr/libexec/webkitgtk/GtkLauncher
> 
> behave the same way when going to duckduckgo?

It does. 

> 
> Can you: 
> 
> debuginfo-install webkitgtk
> 
> and re-run the gdb?

webkitgtk-debuginfo-2.2.2-1.fc20.armv7hl was installed
Comment 7 Kevin Fenzi 2013-12-03 21:49:31 EST
ok, then the actual issue is in webkitgtk. Moving to there.
Comment 8 Mike Ruckman 2013-12-04 13:46:50 EST
Discussed in 2013-12-04 Blocker Review Meeting [1]. Voted as an AcceptedFreezeException. A fix will be considered past freeze if the fix is timely and does not affect other architectures.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-04/
Comment 9 Kevin Fenzi 2013-12-04 18:27:38 EST
Can you also try the webkitgtk from this scratch build: 

 http://koji.fedoraproject.org/koji/taskinfo?taskID=6256937

It has some cflags change to hopefully make more useful debuginfo (you will also need to install the debuginfo from it instead of the repo version). 

Thanks
Comment 10 Paul Whalen 2013-12-05 11:20:35 EST
Created attachment 833251 [details]
midori gdb 4
Comment 11 Paul Whalen 2013-12-05 11:21:34 EST
Attached new log including the above scratch build and midori-0.5.6-1.fc20.
Comment 12 Tomas Popela 2013-12-11 09:13:40 EST
I've made a scratch build[1] of new unstable webkitgtk release and it's not crashing there. So good news is that it is fixed and now we have to find the right commit.

[1] - http://koji.fedoraproject.org/koji/taskinfo?taskID=6278926
Comment 13 Fedora End Of Life 2015-05-29 05:54:40 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 20:45:47 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.